-- 这是聚光灯控制脚本，用lua 5.2.x语言编写。聚光灯介绍形式是枫传网络独创的软件介绍方式。通过将软件界面雾化为背景，并用聚光灯突显要介绍的部分，配合文字说明，对软件进行介绍。您可以按照提示修改此脚本。
-- 下面为文件信息，除CodePage外，其它项目请不要修改。
Application = "GTalkabout"
Version = "1.1"
ScriptType = "tutorial"
CodePage = 936	-- 简体中文，如果您将此脚本翻译为其他语种，请修改为该语种对应的代码页，否则，请不要修改。

-- 下面为介绍文字，是markdown格式文本。您可以将其翻译为其它语种或修改，请不要修改圆括号内的文字。
Hint_text = [[
项目中搜索
===
极客讨论器可以在打开的项目中搜索字符串。包括在工作区中搜索和在版本库中搜索。  
**在工作区中搜索**是项目的本地文件搜索，可以直接搜索和基于工作拷贝搜索。直接搜索的结果只能查找字符串在文件中出现的位置；而基于工作拷贝搜索还可以查找字符串的修改状态。  
**在版本库中搜索**需要项目有本地映射库，搜索结果是基于修改的，如果字符串在同一个文件的不同修订版本中都有，那么仅当字符串出现在文件的增加/删除/修改部分中才返回搜索结果。  
您可以启动向导[1.1.6版功能介绍](whats_new_1_1_6)，了解项目中搜索的使用方法。

[关闭提示](cancel_auto_load)
]]

-- 下面为聚光灯流程控制，请不要修改！
function ControlValueIterator(ControlTable)
	local iIndex = 0

	return function()
		iIndex = iIndex + 1;
		local ControlValue = ControlTable[iIndex];

		if type(ControlValue) == "string" then
			return ControlValue, "";
		elseif type(ControlValue) == "table" then
			local Control, Value = ControlValue[1], ControlValue[2];

			if type(Control) == "string" then
				if type(Value) == "string" then
					return Control, Value;
				else
					return Control, "";
				end
			else
				return nil;
			end
		else
			return nil;
		end
	end
end

function ChangeSpotlights(ControlTable)
	local Iter = ControlValueIterator(ControlTable);
	local Control, Value = Iter();

	if Control == "close" or Control == "cancel_auto_load" then
		return {}, "";
	elseif Control == "whats_new_1_1_6" then
		TutorialOptions(Control);
	end
	return { {"control_tab", 1} }, Hint_text;
end

AutoLoad = 0